<!-- ============================================================== -->
<!-- Marina (23/08/2019)  Composición de la cabecera de la tabla -->
<!-- ============================================================== -->
<?php
  $parametrosPlantilla = Theme::getLastParamList();
  $camposTabla = Theme::getLastParam('camposTabla');
  $nombreTabla = Theme::getLastParam('nombreTabla');
  $filasTabla = Theme::getLastParam('filasTabla');
  $ordenActual = Theme::getLastParam('ordenActual');
  $paginaActual = Theme::getLastParam('paginaActual');
  $elementosXPagina = Theme::getLastParam('elementosXPagina');
  $parametrosActuales = Theme::getLastParam('parametrosActuales');
  $totalElementos = Theme::getLastParam('totalElementos');


?>
 <tr>
<?php
  //Tenemos en cuenta los elementos x página
  $parametrosFinales = ($elementosXPagina != '') ? 'exp=' . $elementosXPagina : '';
  //componemos la lista de parámetros a utilizar
  $parametrosFinales .= ( ($parametrosFinales != '') ? '&' : '') . http_build_query($parametrosActuales);

  //Componemos en enlace "base sobre el que añadir la página a la que navegar"
  $enlace = Shop::$configuracion->url . Sections::$current_section . ( ($parametrosFinales != '') ? '?' : '') . $parametrosFinales;

  foreach($camposTabla as $campo => $valor){
    if($valor == 'codigo'){
        ?>              
        <th class="text-right" scope="col">
        <?php
    }else if ($valor == 'traducciones'){
    ?>
        <th class="text-center" scope="col">
    <?php
    }else{
      ?>              
          <th scope="col">
      <?php
    }
?>              
      <span ><?=traducir($campo);?></span>
      <?php
      if ($valor != 'traducciones'){
      ?>
      <span>
        <a  class="<?=($ordenActual == $nombreTabla::getAlias() . '_' . $valor . '*ASC') ? 'orden_seleccionado' : '';?>" href="<?= $enlace . ( ($parametrosFinales != '') ? '&' : '?') . 'ord='. $nombreTabla::getAlias() . '_' . $valor . '*ASC';?>">
          <i class="mdi mdi-arrow-down<?=($ordenActual == $nombreTabla::getAlias() . '_' . $valor . '*ASC') ? '-bold' : '';?>"></i>
        </a>
        
        <a class="<?=($ordenActual == $nombreTabla::getAlias() . '_' . $valor . '*DESC') ? 'orden_seleccionado' : '';?>" href="<?= $enlace . ( ($parametrosFinales != '') ? '&' : '?') . 'ord='. $nombreTabla::getAlias() . '_' . $valor . '*DESC';?>">
          <i class="mdi mdi-arrow-up<?=($ordenActual == $nombreTabla::getAlias() . '_' . $valor . '*DESC') ? '-bold' : '';?>"></i>
        </a>
      </span>
      <?php
      }
      ?>
    </th>
<?php
  }
?>    
</tr>
